
#import <appkit/appkit.h>
#import <machkit/senderIsInvalid.h> 	// superclass
#import "HighScoreProtocol.h"

#define MAXSCORES 10	// max # of high scores

@interface HighScoreTable:List <NXTransport>
{
	id  emptySlot;		// empty high score slot (prototype)
	id  title;			// a DAYString name
	int tag, maxHighScores, maxScoresPerPlayer;
}

- init;				// designated initializer
- (int)maxHighScores;
- setMaxHighScores:(int)newMax;
- (int)maxScoresPerPlayer;
- setMaxScoresPerPlayer:(int)newMax;
- (BOOL)samePlayer:slot1 :slot2;
- (int)numEntriesByPlayer:aSlot;
- (int)lowestSlotByPlayer:aSlot;
- (int)tag;
- setTag:(int)newTag;
- (const char *)stringValue;
- setStringValue:(const char *)aString;
- setEmptySlotClass:classObject;
- (BOOL)addSlot:newSlot;
- (BOOL)addSlot:newSlot where:(int *)w;
- objectAt:(unsigned)index;
- free;
- copy;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

@end		
